<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>EncryptionInfoBuilder (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="EncryptionInfoBuilder (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/EncryptionInfoBuilder.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/poifs/crypt/EncryptionInfo.html"
               title="class in org.apache.poi.poifs.crypt"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/poifs/crypt/EncryptionMode.html"
               title="enum in org.apache.poi.poifs.crypt"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/poifs/crypt/EncryptionInfoBuilder.html" target="_top">Frames</a>
        </li>
        <li><a href="EncryptionInfoBuilder.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.poifs.crypt</div>
    <h2 title="Interface EncryptionInfoBuilder" class="title">Interface EncryptionInfoBuilder</h2>
</div>
<div class="contentContainer">
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Known Implementing Classes:</dt>
                    <dd><a href="../../../../../org/apache/poi/poifs/crypt/agile/AgileEncryptionInfoBuilder.html"
                           title="class in org.apache.poi.poifs.crypt.agile">AgileEncryptionInfoBuilder</a>, <a
                            href="../../../../../org/apache/poi/poifs/crypt/binaryrc4/BinaryRC4EncryptionInfoBuilder.html"
                            title="class in org.apache.poi.poifs.crypt.binaryrc4">BinaryRC4EncryptionInfoBuilder</a>, <a
                            href="../../../../../org/apache/poi/poifs/crypt/cryptoapi/CryptoAPIEncryptionInfoBuilder.html"
                            title="class in org.apache.poi.poifs.crypt.cryptoapi">CryptoAPIEncryptionInfoBuilder</a>, <a
                            href="../../../../../org/apache/poi/poifs/crypt/standard/StandardEncryptionInfoBuilder.html"
                            title="class in org.apache.poi.poifs.crypt.standard">StandardEncryptionInfoBuilder</a>, <a
                            href="../../../../../org/apache/poi/poifs/crypt/xor/XOREncryptionInfoBuilder.html"
                            title="class in org.apache.poi.poifs.crypt.xor">XOREncryptionInfoBuilder</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public interface <span class="typeNameLabel">EncryptionInfoBuilder</span></pre>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a
                                    href="javascript:show(4);">Abstract Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionInfoBuilder.html#initialize-org.apache.poi.poifs.crypt.EncryptionInfo-org.apache.poi.poifs.crypt.CipherAlgorithm-org.apache.poi.poifs.crypt.HashAlgorithm-int-int-org.apache.poi.poifs.crypt.ChainingMode-">initialize</a></span>(<a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionInfo.html"
                                        title="class in org.apache.poi.poifs.crypt">EncryptionInfo</a>&nbsp;ei,
                                    <a href="../../../../../org/apache/poi/poifs/crypt/CipherAlgorithm.html"
                                       title="enum in org.apache.poi.poifs.crypt">CipherAlgorithm</a>&nbsp;cipherAlgorithm,
                                    <a href="../../../../../org/apache/poi/poifs/crypt/HashAlgorithm.html"
                                       title="enum in org.apache.poi.poifs.crypt">HashAlgorithm</a>&nbsp;hashAlgorithm,
                                    int&nbsp;keyBits,
                                    int&nbsp;blockSize,
                                    <a href="../../../../../org/apache/poi/poifs/crypt/ChainingMode.html"
                                       title="enum in org.apache.poi.poifs.crypt">ChainingMode</a>&nbsp;chainingMode)</code>
                                    <div class="block">initialize the builder from scratch</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionInfoBuilder.html#initialize-org.apache.poi.poifs.crypt.EncryptionInfo-org.apache.poi.util.LittleEndianInput-">initialize</a></span>(<a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionInfo.html"
                                        title="class in org.apache.poi.poifs.crypt">EncryptionInfo</a>&nbsp;ei,
                                    <a href="../../../../../org/apache/poi/util/LittleEndianInput.html"
                                       title="interface in org.apache.poi.util">LittleEndianInput</a>&nbsp;dis)</code>
                                    <div class="block">initialize the builder from a stream</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="initialize-org.apache.poi.poifs.crypt.EncryptionInfo-org.apache.poi.util.LittleEndianInput-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>initialize</h4>
                                <pre>void&nbsp;initialize(<a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionInfo.html"
                                        title="class in org.apache.poi.poifs.crypt">EncryptionInfo</a>&nbsp;ei,
                <a href="../../../../../org/apache/poi/util/LittleEndianInput.html"
                   title="interface in org.apache.poi.util">LittleEndianInput</a>&nbsp;dis)
         throws java.io.IOException</pre>
                                <div class="block">initialize the builder from a stream</div>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="initialize-org.apache.poi.poifs.crypt.EncryptionInfo-org.apache.poi.poifs.crypt.CipherAlgorithm-org.apache.poi.poifs.crypt.HashAlgorithm-int-int-org.apache.poi.poifs.crypt.ChainingMode-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>initialize</h4>
                                <pre>void&nbsp;initialize(<a
                                        href="../../../../../org/apache/poi/poifs/crypt/EncryptionInfo.html"
                                        title="class in org.apache.poi.poifs.crypt">EncryptionInfo</a>&nbsp;ei,
                <a href="../../../../../org/apache/poi/poifs/crypt/CipherAlgorithm.html"
                   title="enum in org.apache.poi.poifs.crypt">CipherAlgorithm</a>&nbsp;cipherAlgorithm,
                <a href="../../../../../org/apache/poi/poifs/crypt/HashAlgorithm.html"
                   title="enum in org.apache.poi.poifs.crypt">HashAlgorithm</a>&nbsp;hashAlgorithm,
                int&nbsp;keyBits,
                int&nbsp;blockSize,
                <a href="../../../../../org/apache/poi/poifs/crypt/ChainingMode.html"
                   title="enum in org.apache.poi.poifs.crypt">ChainingMode</a>&nbsp;chainingMode)</pre>
                                <div class="block">initialize the builder from scratch</div>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/EncryptionInfoBuilder.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/poifs/crypt/EncryptionInfo.html"
               title="class in org.apache.poi.poifs.crypt"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/poifs/crypt/EncryptionMode.html"
               title="enum in org.apache.poi.poifs.crypt"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/poifs/crypt/EncryptionInfoBuilder.html" target="_top">Frames</a>
        </li>
        <li><a href="EncryptionInfoBuilder.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
